



:root {


    /*COLORES*/

    --color-fondo: #e3e3e3;
    --color-calculadora: rgb(37, 37, 40);
    --color-teclas: rgb(200, 123, 36);
    --color-pantalla: rgb(202, 202, 202);
    --color-settings: orange;

    --color-texto-calculadora: white;
    --color-texto-settings: black;


    /*BORDER RADIUS*/

    --radio-calculadora: 15px;
    --radio-teclas: 10px;
    --radio-pantalla: 8px;
    --radio-settings: 15px;



    /*HOVER*/

    --color-teclas-hover: rgb(238, 144, 36);
    --color-igual-hover: rgb(184, 121, 49);
    --color-settings-hover: rgb(220, 130, 27);

}









*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Courier New', Courier, monospace;
}

body{
    background-color: var(--color-fondo);

    min-height: 100vh;


    display: flex;
    flex-direction: column;
    align-items: center;


    padding-top: 20px;
    gap: 40px;
}

.calculadora{
    background-color: var(--color-calculadora);
    color: var(--color-texto-calculadora);


    display: grid;
    grid-template-columns: repeat(4, 1fr);


    width: min(90vw, 360px);
    min-width: 280px;

    min-height: 100%;
    height: 80vh;

    padding: 2rem 1.5rem;

    border-radius: var(--radio-calculadora);

    gap: .5rem; 
}


.pantalla{
    background-color: var(--color-pantalla);
    color: var(--color-texto-calculadora);

    grid-column: 1/5;


    min-height: 80px;
    padding: 1rem;
    font-size: 2rem;
    text-align: right;

    border-radius: var(--radio-pantalla);

    margin-bottom: 1rem;
    font-family: monospace;
    font-weight: 600;
    overflow: hidden;
}

.btn{
    background-color: var(--color-teclas);
    color: var(--color-texto-calculadora);

    border: 0;
    min-height: 50px;
    padding: .5rem .6rem;
    display: flex;
    justify-content: center;
    align-items: center;

    font-size: 1rem;

    border-radius: var(--radio-teclas);

    cursor: pointer;

}

.btn:hover{
    background-color: var( --color-teclas-hover) ;
}



#cero{
    grid-column: span 2;
}

#igual{
    grid-row: span 2;

    background-color: color-mix(in srgb, var(--color-teclas) 80%, rgb(0, 0, 0) 20%);
}


#igual:hover{
    background-color: var(--color-igual-hover);
}





.styles-btn{

    background-color: var(--color-settings);
    color: var(--color-texto-settings);

    width: auto;
    height: auto;
    padding: 1rem 1.5rem;


    align-self: flex-end;
    margin-right: 40px;

    cursor: pointer;

    border-radius: var(--radio-settings);
}


.styles-btn:hover{
    background-color: var(--color-settings-hover);
}



.styles-div{
    display: none;
    flex-direction: column;
    gap: 2rem;

    width: 95vw;
    height: 85vh;

    overflow: scroll;
    scrollbar-width: thin;
    scrollbar-color: white transparent;
    clip-path: inset(0 round 1rem);

    z-index: 1000;
    position: fixed;
    top: 55%;
    left: 50%;
    transform: translate(-50%, -50%);

    background-color: rgba(0, 0, 0, 0.724);
    backdrop-filter: blur(10px);
    border-radius: 1em;

    padding: 1.5rem;
}

.styles-div.show {
    display: flex;
}








.styles-div::-webkit-scrollbar {
    width: 6px;
}

.styles-div::-webkit-scrollbar-thumb {
    background: rgba(255, 255, 255, 0.4);
    border-radius: 10px;
}

.styles-div::-webkit-scrollbar-track {
    background: transparent;
}

.styles-div::-webkit-scrollbar-thumb:hover {
    background: rgba(255, 255, 255, 0.8);
}










.colors-title, .border-title, .hover-title{
    display: flex;
    justify-content: space-between;
    align-items: center;

    width: 100%;

    padding: .8rem .2rem;

    background: transparent;
    border: none;
    border-bottom: 1px solid rgba(255,255,255,.2);

    color: white;
    font-size: 1rem;
    text-align: left;

    cursor: pointer;
}

.colors-title span, .border-title span, .hover-title span{
    font-size: 1.2rem;
}


.colors-content, .border-content, .hover-content{
    display: none;
    flex-direction: column;
    gap: .5rem;
    width: 100%;
}

.colors-content.show{
    display: flex;
}

.border-content.show{
    display: flex;
}

.hover-content.show{
    display: flex;
}




.colors-setting, .border-setting, .hover-setting{
    display: flex;
    flex-direction: row;
    justify-content: space-between;

    width: 100%;

    padding: 0 .5rem;

    gap: 4rem;

    color: white;
}





.colors-setting input[type="color"] , .hover-setting input[type="color"] {
    appearance: none;
    -webkit-appearance: none;

    width: 42px;
    height: 32px;

    padding: 3px;

    border: 1px solid rgba(255,255,255,.5);
    border-radius: 10px;

    background: rgba(255,255,255,.08);

    cursor: pointer;
}



.colors-setting input[type="color"]::-webkit-color-swatch-wrapper, .hover-setting input[type="color"]::-webkit-color-swatch-wrapper  {
    padding: 0;
}


.colors-setting input[type="color"]::-webkit-color-swatch , .hover-setting input[type="color"]::-webkit-color-swatch {
    border: none;
    border-radius: 6px;
}




.border-setting input[type="range"] {

    appearance: none;
    -webkit-appearance: none;

    width: 120px;
    height: 4px;

    background: rgba(255, 255, 255, 0.7);
    border-radius: 10px;

    cursor: pointer;
}




.border-setting input[type="range"]::-webkit-slider-thumb {
    appearance: none;
    -webkit-appearance: none;

    width: 14px;
    height: 14px;

    background: white;
    border-radius: 50%;

    cursor: pointer;

        transition: .15s;
}



.border-setting input[type="range"]::-webkit-slider-thumb:hover {
    transform: scale(1.2);
}